using System;

namespace SlatedGameToolkit.Framework.Graphics.OpenGL
{
    internal delegate void GLClearColour(float r, float g, float b);
    internal delegate void GLClear(uint flags);
    internal delegate void GLViewport(int x, int y, int width, int height);
    internal delegate IntPtr GLCreateShader(GLEnums type);
    internal delegate IntPtr GLShaderSource(IntPtr shaderHandle, int count, string program);
    internal delegate void GLCompileShader(IntPtr shaderHandle);
    internal delegate void GLGetShaderLogInfo(IntPtr shaderHandle, int maxLength, out int writtenLength, out string output);
    internal delegate IntPtr GLCreateProgram();
    internal delegate IntPtr GLDeleteProgram();
    internal delegate void GLAttachShader(IntPtr program, IntPtr shader);
    internal delegate void GLDetachShader(IntPtr program, IntPtr shader);
    internal delegate void GLDeleteShader(IntPtr shader);
}