using System;
using SlatedGameToolkit.Framework;
using SlatedGameToolkit.Framework.Graphics.Window;
using SlatedGameToolkit.Framework.StateSystem;
using SlatedGameToolkit.Framework.StateSystem.States;

namespace SlatedGameToolkit.Tools.Utilities.GraphicalPlayground
{
    public class MainState : IState
    {
        private WindowHandle window;

        public WindowHandle CurrentWindow { get { return window;}}

        public bool Activate()
        {
            return true;
        }

        public bool Deactivate()
        {
            return true;
        }

        public void Deinitialize()
        {
            window.Dispose();
        }

        public string getName()
        {
            return "main state";
        }

        public void Initialize(Manager manager)
        {
            window = new WindowHandle("SlatedGameToolkit Playground");
            window.RaiseToTop();
        }

        public void Render(double delta)
        {
        }

        public void Update(double delta)
        {
        }
    }
}